TrackSessionLoadingActivity

com.j0h1.contour

## Class TrackSessionLoadingActivity

- java.lang.Object
- - Activity
  - - com.j0h1.contour.TrackSessionLoadingActivity

-     public class TrackSessionLoadingActivity
      extends Activity

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private class` | `TrackSessionLoadingActivity.LoadViewTask` Background task that executes the session upload.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `language`
    `private ProgressDialog` | `progressDialog`
    `private Toast` | `toast`
    `protected int` | `trackId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrackSessionLoadingActivity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onConfigurationChanged(Configuration newConfig)` The activity handles the orientation changes itself, so on every orientation change (portrait to landscape and vice versa) this method is called.
    `void` | `onCreate(Bundle savedInstanceState)`
    `private void` | `persistEdgeImagesAndStartSession(int trackId, java.util.List<ImagePojo> edgeImages)` Stores the edge images for this track in the local database and starts a new session.
    `private void` | `prepareToast(java.lang.String message)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### progressDialog

          private ProgressDialog progressDialog

    - #### toast

          private Toast toast

    - #### language

          protected java.lang.String language

    - #### trackId

          protected int trackId

  - ### Constructor Detail

    - #### TrackSessionLoadingActivity

          public TrackSessionLoadingActivity()

  - ### Method Detail

    - #### onCreate

          public void onCreate(Bundle savedInstanceState)

    - #### persistEdgeImagesAndStartSession

          private void persistEdgeImagesAndStartSession(int trackId,
                                                        java.util.List<ImagePojo> edgeImages)

      Stores the edge images for this track in the local database and starts a new session.
      Parameters:
        `trackId` - TrackId of selected Track.
        `edgeImages` - Edge images of the selected track.

    - #### onConfigurationChanged

          public void onConfigurationChanged(Configuration newConfig)

      The activity handles the orientation changes itself, so on every orientation change (portrait to landscape and vice versa) this method is called.

    - #### prepareToast

          private void prepareToast(java.lang.String message)